> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contazen.ro/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Expense Category

> Get details of a specific expense category by its ID

## Overview

The Retrieve Expense Category endpoint allows you to get detailed information about a specific expense category by its ID. This works for both system default categories and your custom categories.

## Path Parameters

<ParamField path="id" type="integer" required>
  The unique identifier of the expense category to retrieve
</ParamField>

## Query Parameters

<ParamField query="include_children" type="boolean" default="false">
  When `true`, includes all subcategories under this category in the response (only applicable for parent categories)
</ParamField>

## Response

<ResponseField name="category" type="object">
  The expense category object with full details

  <Expandable title="Category Object Properties">
    <ResponseField name="id" type="integer">
      Unique identifier for the category
    </ResponseField>

    <ResponseField name="name" type="string">
      Category name
    </ResponseField>

    <ResponseField name="parent_id" type="integer">
      Parent category ID (0 for root categories, null if no parent)
    </ResponseField>

    <ResponseField name="is_default" type="boolean">
      Whether this is a system default category
    </ResponseField>

    <ResponseField name="is_visible" type="boolean">
      Whether the category is visible and active for use
    </ResponseField>

    <ResponseField name="type" type="string">
      Category type: `"system"` for default categories, `"custom"` for user-created categories
    </ResponseField>

    <ResponseField name="children" type="array">
      Array of subcategory objects (only included when `include_children=true` and category has subcategories)

      <Expandable title="Child Category Properties">
        <ResponseField name="id" type="integer">Child category ID</ResponseField>
        <ResponseField name="name" type="string">Child category name</ResponseField>
        <ResponseField name="parent_id" type="integer">Parent category ID</ResponseField>
        <ResponseField name="is_default" type="boolean">Whether child is a system category</ResponseField>
        <ResponseField name="is_visible" type="boolean">Whether child category is visible</ResponseField>
        <ResponseField name="type" type="string">Child category type</ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

## Access Control

* You can only retrieve categories that belong to your firm
* Both system and custom categories are accessible
* Category must exist and not be deleted

<RequestExample>
  ```bash Basic Retrieval theme={null}
  curl -X GET "https://api.contazen.ro/v1/expense-categories/5" \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```bash With Children theme={null}
  curl -X GET "https://api.contazen.ro/v1/expense-categories/5?include_children=true" \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript Basic Retrieval theme={null}
  const categoryId = 5;

  const response = await fetch(`https://api.contazen.ro/v1/expense-categories/${categoryId}`, {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer YOUR_API_KEY',
      'Content-Type': 'application/json'
    }
  });

  const data = await response.json();
  console.log('Category details:', data.category);
  ```

  ```javascript With Children theme={null}
  const categoryId = 5;
  const params = new URLSearchParams({
    include_children: 'true'
  });

  const response = await fetch(`https://api.contazen.ro/v1/expense-categories/${categoryId}?${params}`, {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer YOUR_API_KEY',
      'Content-Type': 'application/json'
    }
  });

  const data = await response.json();
  console.log('Category with children:', data.category);
  if (data.category.children) {
    console.log('Subcategories:', data.category.children.length);
  }
  ```

  ```php Basic Retrieval theme={null}
  $categoryId = 5;

  $curl = curl_init();

  curl_setopt_array($curl, [
      CURLOPT_URL => "https://api.contazen.ro/v1/expense-categories/{$categoryId}",
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer YOUR_API_KEY',
          'Content-Type: application/json'
      ]
  ]);

  $response = curl_exec($curl);
  $data = json_decode($response, true);
  curl_close($curl);

  echo 'Category: ' . $data['category']['name'];
  echo ' (Type: ' . $data['category']['type'] . ')';
  ```

  ```php With Children theme={null}
  $categoryId = 5;
  $params = http_build_query([
      'include_children' => 'true'
  ]);

  $curl = curl_init();

  curl_setopt_array($curl, [
      CURLOPT_URL => "https://api.contazen.ro/v1/expense-categories/{$categoryId}?{$params}",
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer YOUR_API_KEY',
          'Content-Type: application/json'
      ]
  ]);

  $response = curl_exec($curl);
  $data = json_decode($response, true);
  curl_close($curl);

  echo 'Category: ' . $data['category']['name'] . "\n";
  if (isset($data['category']['children'])) {
      echo 'Subcategories: ' . count($data['category']['children']) . "\n";
      foreach ($data['category']['children'] as $child) {
          echo '  - ' . $child['name'] . " (ID: {$child['id']})\n";
      }
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 200 - Success (Root Category) theme={null}
  {
    "success": true,
    "category": {
      "id": 5,
      "name": "Marketing Expenses",
      "parent_id": 0,
      "is_default": false,
      "is_visible": true,
      "type": "custom"
    }
  }
  ```

  ```json 200 - Success (With Children) theme={null}
  {
    "success": true,
    "category": {
      "id": 2,
      "name": "Travel & Transportation",
      "parent_id": 0,
      "is_default": true,
      "is_visible": true,
      "type": "system",
      "children": [
        {
          "id": 15,
          "name": "Fuel",
          "parent_id": 2,
          "is_default": false,
          "is_visible": true,
          "type": "custom"
        },
        {
          "id": 16,
          "name": "Public Transport",
          "parent_id": 2,
          "is_default": false,
          "is_visible": true,
          "type": "custom"
        },
        {
          "id": 17,
          "name": "Hotel Accommodation",
          "parent_id": 2,
          "is_default": false,
          "is_visible": true,
          "type": "custom"
        }
      ]
    }
  }
  ```

  ```json 200 - Success (Subcategory) theme={null}
  {
    "success": true,
    "category": {
      "id": 15,
      "name": "Fuel",
      "parent_id": 2,
      "is_default": false,
      "is_visible": true,
      "type": "custom"
    }
  }
  ```

  ```json 400 - Missing ID theme={null}
  {
    "success": false,
    "error": {
      "message": "Category ID is required",
      "type": "invalid_request_error",
      "code": "parameter_missing",
      "param": "id"
    }
  }
  ```

  ```json 404 - Not Found theme={null}
  {
    "success": false,
    "error": {
      "message": "Category not found",
      "type": "invalid_request_error",
      "code": "resource_missing",
      "param": "id"
    }
  }
  ```

  ```json 401 - Unauthorized theme={null}
  {
    "success": false,
    "error": {
      "message": "Unauthorized. API key is required.",
      "type": "authentication_error",
      "code": "api_key_required"
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /expense-categories/{id}
openapi: 3.1.0
info:
  title: Contazen API
  version: 1.2.0
  description: >
    Build powerful integrations with the Contazen invoicing platform. The
    Contazen API is organized around REST, 

    has predictable resource-oriented URLs, accepts JSON request bodies, returns
    JSON-encoded responses, 

    and uses standard HTTP response codes, authentication, and verbs.


    ## Authentication

    The API uses Bearer token authentication. Include your API key in the
    Authorization header.


    ### Getting your API Key

    1. Log in to your Contazen account

    2. Navigate to Settings > API

    3. Generate or copy your API key (starts with `sk_live_` for production or
    `sk_test_` for testing)


    ### Using the API Key

    Include your API key in the Authorization header:

    ```

    Authorization: Bearer sk_live_YOUR_API_KEY

    ```


    ### Example Request with cURL

    ```bash

    curl --request GET \
      --url https://api.contazen.ro/v1/clients \
      --header 'Authorization: Bearer sk_live_YOUR_API_KEY' \
      --header 'Accept: application/json'
    ```


    ## Rate Limiting

    - 1000 requests per hour per API key

    - 100 create operations per minute per API key


    Rate limit information is included in response headers:

    - `X-RateLimit-Limit`: Maximum requests allowed

    - `X-RateLimit-Remaining`: Requests remaining

    - `X-RateLimit-Reset`: Reset time (Unix timestamp)


    ## Pagination

    All list endpoints return paginated results with the following format:

    ```json

    {
      "success": true,
      "data": {
        "object": "list",
        "data": [...],
        "has_more": true,
        "total": 245,
        "page": 1,
        "per_page": 50,
        "total_pages": 5
      },
      "meta": {
        "version": "v1",
        "request_id": "req_1a2b3c4d",
        "response_time": "23.45ms"
      }
    }

    ```


    ## Multi-Work-Point Access

    API keys belong to a specific work point but can access data from all work
    points

    within the same parent company.


    ## Error Handling

    The API uses conventional HTTP response codes to indicate success or
    failure. 

    In general: 2xx codes indicate success, 4xx codes indicate an error due to
    the 

    information provided, and 5xx codes indicate an error with Contazen's
    servers.


    ## Expanding Nested Objects

    Many endpoints support the `expand` parameter to include related objects in
    the response.

    This follows the Stripe API pattern. For example:

    - `expand[]=lines` - Include invoice line items

    - `expand[]=payments` - Include payment records

    - `expand[]=client` - Include full client object


    ## Localization

    The API supports multiple languages through:

    - `locale` query parameter (en, ro)

    - `Accept-Language` header

    - Default: English
  contact:
    name: Contazen Support
    email: support@contazen.ro
    url: https://contazen.ro
  license:
    name: Proprietary
    url: https://www.contazen.ro/termeni-si-conditii-de-utilizare/
servers:
  - url: https://api.contazen.ro/v1
    description: Production API server
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: API authentication and test endpoints
  - name: Clients
    description: Manage your customers (B2B and B2C)
  - name: Invoices
    description: Create and manage invoices, proformas, and receipts
  - name: Products
    description: Manage your product and service catalog
  - name: Expenses
    description: Track and manage business expenses
  - name: Expense Categories
    description: Organize expenses with categories
  - name: Suppliers
    description: Manage expense suppliers and vendors
  - name: Settings
    description: API settings and configuration
  - name: Payments
    description: Payments received against invoices
  - name: Receipts
    description: Cash receipts (chitanțe) — standalone or paired with an invoice
  - name: Company Lookup
    description: Romanian company lookup (ANAF / VIES)
  - name: Invoice Series
    description: Manage invoice numbering series
  - name: Bank Accounts
    description: Manage IBAN bank accounts
  - name: E-Factura
    description: Romanian e-invoicing status and configuration
  - name: Supplier Bills
    description: Supplier invoices imported from the ANAF SPV inbox
  - name: VAT Rates
    description: Firm-scoped custom VAT rates on top of the Romanian catalog
  - name: Currencies
    description: Currencies enabled for the firm's bill templates
  - name: Languages
    description: Languages enabled for the firm's bill templates
  - name: Conta
    description: |
      Public ANAF data for the firm's CUI: fiscal profile (TVA scope, RTVAI,
      split TVA, status, e-Factura registration, CAEN) and annual balance
      sheets (cifra de afaceri, profit, capitaluri, datorii, salariați).

      Powered by the public ANAF webservices (no OAuth required for these
      endpoints). The data is cached locally and refreshed on demand via
      the `/sync` actions.
paths:
  /expense-categories/{id}:
    get:
      tags:
        - Expense Categories
      summary: Get category details
      description: Get a specific expense category
      operationId: getExpenseCategory
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: Category ID
        - name: include_children
          in: query
          schema:
            type: boolean
            default: false
          description: Include child categories
      responses:
        '200':
          description: Category details
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    $ref: '#/components/schemas/ExpenseCategory'
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  schemas:
    ExpenseCategory:
      type: object
      required:
        - id
        - name
        - type
      properties:
        id:
          type: integer
        name:
          type: string
        parent_id:
          type: integer
          nullable: true
        is_default:
          type: boolean
          description: Whether this is a system default category
        is_visible:
          type: boolean
        type:
          type: string
          enum:
            - system
            - custom
        expense_count:
          type: integer
          description: Number of expenses in this category
        children:
          type: array
          items:
            $ref: '#/components/schemas/ExpenseCategory'
    ResponseMeta:
      type: object
      properties:
        version:
          type: string
          default: v1
        request_id:
          type: string
          format: uuid
          description: Unique request identifier for debugging
        response_time:
          type: string
          example: 23.45ms
    ErrorResponse:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          default: false
        error:
          type: object
          required:
            - message
            - type
            - code
          properties:
            message:
              type: string
              description: Human-readable error message
            type:
              type: string
              enum:
                - api_error
                - authentication_error
                - invalid_request_error
                - rate_limit_error
                - permission_error
                - validation_error
            code:
              type: string
              description: Machine-readable error code
            param:
              type: string
              description: The parameter that caused the error
            doc_url:
              type: string
              format: uri
              description: URL to relevant documentation
        meta:
          $ref: '#/components/schemas/ResponseMeta'
  responses:
    UnauthorizedError:
      description: API key is missing or invalid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFoundError:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Use your API key (sk_live_xxx or sk_test_xxx)

````